package com.ssj.service.kmt.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class ExerciseQuestionsRequest extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "subject", value = "科目", required = true)
    private String  subject;

    @ApiModelProperty(name = "versionType", value = "版本类别, 如语文1北师大版，2人教版", required = true)
    private int  versionType;

    @ApiModelProperty(name = "grade", value = "年级，一年级", required = true)
    private String  grade;

    @ApiModelProperty(name = "semester", value = "上下册，1上册，2下册", required = true)
    private int  semester;

    @ApiModelProperty(name = "bookId", value = "练习册id", required = true)
    private String  bookId;

    @ApiModelProperty(name = "unitId", value = "单元id", required = false)
    private String  unitId;

    @ApiModelProperty(name = "periodId", value = "课时id", required = false)
    private String  periodId;

    @ApiModelProperty(name = "dealType", value = "类型，1待加工，2待审核", required = false)
    private int  dealType = 1;

    @ApiModelProperty(name = "page", value = "练习册的页码", required = false)
    private int page;

    @ApiModelProperty(name = "pageNo", value = "练习册的页码", required = false)
    private int pageNo;

    @ApiModelProperty(name = "pageSize", value = "练习册的页码", required = false)
    private int pageSize;

    @ApiModelProperty(name = "bookYear", value = "练习册年份", required = true)
    private int bookYear = 2019;

    @ApiModelProperty(name = "exerciseBookId", value = "练习册exerciseBookId", required = true)
    private String exerciseBookId;

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public int getVersionType() {
        return versionType;
    }

    public void setVersionType(int versionType) {
        this.versionType = versionType;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public int getSemester() {
        return semester;
    }

    public void setSemester(int semester) {
        this.semester = semester;
    }

    public String getBookId() {
        return bookId;
    }

    public void setBookId(String bookId) {
        this.bookId = bookId;
    }

    public String getUnitId() {
        return unitId;
    }

    public void setUnitId(String unitId) {
        this.unitId = unitId;
    }

    public String getPeriodId() {
        return periodId;
    }

    public void setPeriodId(String periodId) {
        this.periodId = periodId;
    }


    public int getDealType() {
        return dealType;
    }

    public void setDealType(int dealType) {
        this.dealType = dealType;
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getBookYear() {
        return bookYear;
    }

    public void setBookYear(int bookYear) {
        this.bookYear = bookYear;
    }

    public String getExerciseBookId() {
        return exerciseBookId;
    }

    public void setExerciseBookId(String exerciseBookId) {
        this.exerciseBookId = exerciseBookId;
    }
}
